package com.ecep.contract.model;

import com.ecep.contract.ProjectFileType;
import com.ecep.contract.vo.ProjectFileTypeLocalVo;

import jakarta.persistence.Entity;
import jakarta.persistence.Table;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

@Getter
@Setter
@Entity
@Table(name = "PROJECT_FILE_TYPE_LOCAL")
@ToString
public class ProjectFileTypeLocal extends BaseEnumEntity<ProjectFileType>
        implements Voable<ProjectFileTypeLocalVo> {

    @Override
    public ProjectFileTypeLocalVo toVo() {
        ProjectFileTypeLocalVo vo = new ProjectFileTypeLocalVo();
        vo.setId(getId());
        vo.setLang(getLang());
        vo.setValue(getValue());
        vo.setType(getType());
        return vo;
    }
}
